sasl_log_t(10 July 2001)

NAME
sasl_log_t - The SASL logging callback

SYNOPSIS
#include <sasl/sasl.h>

int sasl_log_t(void *context,
		    int level,
		    const char * message);

DESCRIPTION
sasl_log_t is used to log warning/error messages from the SASL library. If not specified syslog will be used.

RETURN VALUE
SASL callback functions should return SASL return codes. See sasl.h for a complete list. SASL_OK indicates success.

CONFORMING TO
RFC 2222

SEE ALSO
sasl(3), sasl_callbacks(3), sasl_errors(3)